<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="@dimen/dp_52"
    android:background="@drawable/ll_selector"
    android:clickable="true"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginStart="@dimen/dp_4"
        android:layout_marginTop="@dimen/dp_2"
        android:layout_marginEnd="@dimen/dp_4"
        android:layout_marginBottom="@dimen/dp_2"
        android:layout_weight="1">

        <ImageView
            android:id="@+id/app_iv_icon"
            android:layout_width="@dimen/dp_40"
            android:layout_height="@dimen/dp_40"
            android:layout_gravity="center_vertical"
            android:adjustViewBounds="true"
            android:scaleType="centerCrop"
            android:src="@mipmap/ic_launcher"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/constraintLayout3"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="@dimen/dp_4"
            android:layout_weight="1"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="@+id/app_iv_icon"
            app:layout_constraintEnd_toStartOf="@+id/app_btn_download"
            app:layout_constraintStart_toEndOf="@+id/app_iv_icon"
            app:layout_constraintTop_toTopOf="@+id/app_iv_icon">

            <TextView
                android:id="@+id/app_tv_name"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginTop="@dimen/dp_2"
                android:gravity="bottom"
                android:singleLine="true"
                android:text="今日头条"
                android:textColor="@color/black"
                android:textSize="16sp"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/app_tv_company"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:gravity="center_vertical"
                android:singleLine="true"
                android:text="北京字节跳动网络技术有限公司"
                android:textSize="12sp"
                android:visibility="gone" />

            <TextView
                android:id="@+id/app_tv_size"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:gravity="center_vertical"
                android:singleLine="true"
                android:text="1.00M"
                android:textSize="12sp"
                app:layout_constraintBottom_toTopOf="@id/app_rating_bar"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/app_tv_name" />

            <RatingBar
                android:id="@+id/app_rating_bar"
                style="@style/myRatingBar"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:isIndicator="true"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <View
            android:id="@+id/line"
            android:layout_width="0dp"
            android:layout_height="1px"
            android:background="@color/line_color"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="@+id/constraintLayout3" />
        <Button
            android:id="@+id/app_btn_download"
            android:layout_width="@dimen/dp_36"
            android:layout_height="@dimen/dp_18"
            android:layout_gravity="center_vertical"
            android:background="@drawable/btn_shap_download"
            android:stateListAnimator="@null"
            android:text="下载中"
            android:textColor="#000000"
            android:textSize="@dimen/sp_9"
            android:visibility="visible"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/app_tv_installed"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginEnd="20dp"
            android:text="已安装"
            android:visibility="gone" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</LinearLayout>